Stripe Webhook
POST
/api/v1/checkout/webhook
const url = 'https://api.qeychain.xyz/api/v1/checkout/webhook';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.qeychain.xyz/api/v1/checkout/webhookStripe webhook handler for payment lifecycle events.
Handles:
- checkout.session.completed — record payment, upgrade plan
- charge.dispute.created — mark disputed, downgrade plan
- charge.refunded — mark refunded, downgrade plan
The payload is verified using the webhook signing secret.
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Stripe Webhook Api V1 Checkout Webhook Post
object
key
additional properties
any
Examplegenerated
{}